var a, b: integer;
    s, k: integer;
begin
    readln(a);
    readln(b);
    s := a;
    if a > b then
        writeln(0)
    else
    begin
        k := 1;
        while s + a + k <= b do
        begin
            s := s + a + k;
            k := k + 1;
        end;
		    writeln(k);    
    end;
end.